<div class="form">

    <h2 nz-typography>设置管理员帐号</h2>
    
    <app-input label="用户名" placeholder="登录名(至少4位)" [(value)]="data.username" [block]="true"></app-input>

    <div class="input">
        <app-input label="姓&nbsp;&nbsp;&nbsp;名" placeholder="显示名" [(value)]="data.name" [block]="true"></app-input>
    </div>
    <div class="input">
        <app-input label="密&nbsp;&nbsp;&nbsp;码" placeholder="登录密码(至少6位)" [(value)]="data.password" [block]="true" [password]="true"></app-input>
    </div>

    <div class="input">
         <app-input label="密&nbsp;&nbsp;&nbsp;码" placeholder="重新输入" [(value)]="data.password2" [block]="true" [password]="true"></app-input>
    </div>

    <button nz-button nzBlock nzType="primary" [disabled]="!data.username||!data.name||!data.password||!data.password2" (click)="submit()">创建</button>
</div>